Module jdk.compiler
Package com.sun.source.doctree

# Interface ParamTree

All Superinterfaces:
  `BlockTagTree`, `DocTree`

public interface ParamTree extends BlockTagTree
A tree node for an `@param` block tag.

        @param parameter-name description

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns the description of the parameter.
`IdentifierTree`
`getName()`
Returns the name of the parameter.
`boolean`
`isTypeParameter()`
Returns `true` if this is documenting a type parameter.

### Methods declared in interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### isTypeParameter

boolean isTypeParameter()
Returns `true` if this is documenting a type parameter.

Returns:
  `true` if this is documenting a type parameter

### getName

IdentifierTree getName()
Returns the name of the parameter.

Returns:
  the name of the parameter

### getDescription

List<? extends DocTree> getDescription()
Returns the description of the parameter.

Returns:
  the description